Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class Filters

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.actions.intranet.Filters

public class Filters
extends java.lang.Object

Filters
Cette classe définit des filtres pour les documents à afficher
lors d'une recherche ou d'un affichage classique
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`Filters()`

Method Summary
`static java.util.Collection` | `filterLimitDates(java.util.Collection in)` Filtre les documents périmés
`static java.util.Collection` | `filterLongNames(java.util.Collection in)` Filtre les noms et les descriptions trop lonngues
`static java.util.Collection` | `filterPublicator(java.util.Collection in, java.lang.String login)` Filtre les documents à afficher pour un publicateur
`static java.util.Collection` | `filterUser(java.util.Collection in)` Filtre les documents à afficher pour un utilisateur
`static java.util.Collection` | `filterValidator(java.util.Collection in)` Filtre les documents à afficher pour un valideur

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filters

    public Filters()

Method Detail

### filterValidator

    public static java.util.Collection filterValidator(java.util.Collection in)

  Filtre les documents à afficher pour un valideur

  Parameters:
    `in` - La liste complète des documents
  Returns:
    La liste des documents filtrés

### filterPublicator

    public static java.util.Collection filterPublicator(java.util.Collection in,
                                                        java.lang.String login)

  Filtre les documents à afficher pour un publicateur

  Parameters:
    `in` - La liste complète des documents
  Returns:
    La liste des documents filtrés

### filterUser

    public static java.util.Collection filterUser(java.util.Collection in)

  Filtre les documents à afficher pour un utilisateur

  Parameters:
    `in` - La liste complète des documents
  Returns:
    La liste des documents filtrés

### filterLongNames

    public static java.util.Collection filterLongNames(java.util.Collection in)

  Filtre les noms et les descriptions trop lonngues

  Parameters:
    `in` - La liste des documents
  Returns:
    La liste des documents modifiés

### filterLimitDates

    public static java.util.Collection filterLimitDates(java.util.Collection in)

  Filtre les documents périmés

  Parameters:
    `in` - La liste des documents
  Returns:
    La liste des documents filtrés

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD